php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #8067 OCI8 and Apache bug with: exec, system, passthru and backticks
Submitted: 2000-11-30 21:59 UTC Modified: 2001-03-09 20:56 UTC
From: dovwolf at hotmail dot com Assigned:
Status: Closed Package: Program Execution
PHP Version: 4.0.3pl1 OS: Linux RedHat 6.2
Private report: No CVE-ID: None
 [2000-11-30 21:59 UTC] dovwolf at hotmail dot com
The functions that perform program executions, do not work when libclntsh.so is preappended to apache, and Oracle and Apache will not run without that library as everyone know. 




Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-12-15 20:33 UTC] sniper@php.net
What do you mean by 'preappended to apache' ??
These functions work just fine for me.

--Jani
 [2000-12-19 18:58 UTC] dovwolf at hotmail dot com
When you have the module for OCI 8 installed (preappended) the functions do not work. 

When the module is not install, then the functions do work.

To see the problem you have to have libclntsh.so loaded at the time apache starts, and then try running any of the program execution functions.

They did not work for me, under this conditions. 
 [2000-12-20 19:05 UTC] sniper@php.net
Could you please try PHP 4.0.4 to check if this happens with it too.
I'm using it and I have oci8 enabled, and e.g. exec() works just fine.

--Jani
 [2000-12-21 19:25 UTC] sniper@php.net
btw. What was the configure line you used to configure php ??

--Jani
 [2001-03-09 20:56 UTC] sniper@php.net
No feedback, not enough info, closed.

--Jani
 [2001-03-09 20:56 UTC] sniper@php.net
No feedback, not enough info, closed.

--Jani
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Mon Jun 24 17:01:25 2019 UTC